package com.qmth.boot.core.ai.model.llm;

/**
 * 大模型应用类型
 */
public enum LlmAppType {

    /**
     * 自动命题
     */
    AUTO_GENERATE_QUESTION,

    /**
     * 自动评分
     */
    AUTO_SCORE;

    public static LlmAppType find(String text) {
        for (LlmAppType type : values()) {
            if (type.toString().equalsIgnoreCase(text)) {
                return type;
            }
        }
        return null;
    }
}
